#include <boost/python.hpp>
#include <boost/python/enum.hpp>
#include <boost/python/args.hpp>
#include <boost/python/iterator.hpp>
#include <vector>
#include "cppdef/DeadLockAvoid.cpp"
#include "cppdef/ContainerOperation.cpp"

namespace DLA = DeadlockAvoidance;

BOOST_PYTHON_MODULE(DeadLockAvoid)
{
   boost::python::def("isRequestable", DLA::isRequest<int, std::vector>);
   boost::python::def("isSafeable", DLA::isSafe<int, std::vector>);
   boost::python::def("verifying", DLA::DeadLockDetect<int, std::vector>);
}
